/**
 * Copyright (c) 2000-2010 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package com.liferay.socialcoding.model;

import com.liferay.portal.kernel.annotation.AutoEscape;
import com.liferay.portal.model.BaseModel;
import com.liferay.portal.service.ServiceContext;

import com.liferay.portlet.expando.model.ExpandoBridge;

import java.io.Serializable;

/**
 * The base model interface for the SVNRepository service. Represents a row in the &quot;SC_SVNRepository&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This interface and its corresponding implementation {@link com.liferay.socialcoding.model.impl.SVNRepositoryModelImpl} exist only as a container for the default property accessors generated by ServiceBuilder. Helper methods and all application logic should be put in {@link com.liferay.socialcoding.model.impl.SVNRepositoryImpl}.
 * </p>
 *
 * <p>
 * Never modify or reference this interface directly. All methods that expect a s v n repository model instance should use the {@link SVNRepository} interface instead.
 * </p>
 *
 * @author Brian Wing Shun Chan
 * @see SVNRepository
 * @see com.liferay.socialcoding.model.impl.SVNRepositoryImpl
 * @see com.liferay.socialcoding.model.impl.SVNRepositoryModelImpl
 * @generated
 */
public interface SVNRepositoryModel extends BaseModel<SVNRepository> {
	/**
	 * Gets the primary key of this s v n repository.
	 *
	 * @return the primary key of this s v n repository
	 */
	public long getPrimaryKey();

	/**
	 * Sets the primary key of this s v n repository
	 *
	 * @param pk the primary key of this s v n repository
	 */
	public void setPrimaryKey(long pk);

	/**
	 * Gets the svn repository id of this s v n repository.
	 *
	 * @return the svn repository id of this s v n repository
	 */
	public long getSvnRepositoryId();

	/**
	 * Sets the svn repository id of this s v n repository.
	 *
	 * @param svnRepositoryId the svn repository id of this s v n repository
	 */
	public void setSvnRepositoryId(long svnRepositoryId);

	/**
	 * Gets the url of this s v n repository.
	 *
	 * @return the url of this s v n repository
	 */
	@AutoEscape
	public String getUrl();

	/**
	 * Sets the url of this s v n repository.
	 *
	 * @param url the url of this s v n repository
	 */
	public void setUrl(String url);

	/**
	 * Gets the revision number of this s v n repository.
	 *
	 * @return the revision number of this s v n repository
	 */
	public long getRevisionNumber();

	/**
	 * Sets the revision number of this s v n repository.
	 *
	 * @param revisionNumber the revision number of this s v n repository
	 */
	public void setRevisionNumber(long revisionNumber);

	/**
	 * Gets a copy of this s v n repository as an escaped model instance by wrapping it with an {@link com.liferay.portal.kernel.bean.AutoEscapeBeanHandler}.
	 *
	 * @return the escaped model instance
	 * @see com.liferay.portal.kernel.bean.AutoEscapeBeanHandler
	 */
	public SVNRepository toEscapedModel();

	public boolean isNew();

	public void setNew(boolean n);

	public boolean isCachedModel();

	public void setCachedModel(boolean cachedModel);

	public boolean isEscapedModel();

	public void setEscapedModel(boolean escapedModel);

	public Serializable getPrimaryKeyObj();

	public ExpandoBridge getExpandoBridge();

	public void setExpandoBridgeAttributes(ServiceContext serviceContext);

	public Object clone();

	public int compareTo(SVNRepository svnRepository);

	public int hashCode();

	public String toString();

	public String toXmlString();
}